// Material Theming
// After importing all MDC Web components, apply mixins to theme individual components

.v-btn {
	text-transform: inherit;
	&.default{
		min-width: 140px;
		height: 40px;
		color: #fff;
		background-color: $mdc-theme-secondary;
		&.theme--light:not(.v-btn--icon):not(.v-btn--flat) {
			background-color: $mdc-theme-secondary;
			&:focus:before,
			&:hover:before {
				background-color: #999494;
				opacity: 1;
			}
		}
		&:focus:before,
		&:hover:before {
			background-color: #999494;
			opacity: 1;
		}
	}


	&.primary{
		min-width: 140px;
		height: 40px;
		background-color: $mdc-theme-primary;
		&:focus:before,
		&:hover:before {
			background-color: #3c9977;
			opacity: 1;
		}
		&--text{
			height: 40px;
			min-width: 140px;
		}
	}

	&.v-btn--active{
		&:before {
			background-color: $mdc-theme-secondary;
		}
		&.primary:before {
			background-color: #3c9977;
			opacity: 1;
		}
	}
}



.mdc-button--shaped {
	@include mdc-button-shape-radius(50%);
	&:hover{
		&.mdc-btn-primary {
			@include mdc-button-container-fill-color($mdc-theme-primary-hover);
			@include mdc-button-ink-color($mdc-theme-on-primary);
			&::before{
				background-color: $mdc-theme-primary;
			}
			&::after{
				background-color: $mdc-theme-primary;
			}
		}

	}
}

// Icon button
.mdc-fab {
	@include mdc-fab-accessible($mdc-theme-primary);
}


// select

.mdc-form-row{
	.mdc-select{
		width: 100%;
	}
}

// combobox

.mdc-combobox.v-text-field--outline{
	>.v-input__control{
		>.v-input__slot{
			border-radius: 50px;
			border: 1px solid #cccccc;
			padding: 0 3px;
			.v-chip{
				margin-top:0;
				margin-bottom: 0;
				padding-top: 1px;
				padding-bottom: 1px;
			}
			.v-label{
				left: 15px;
			}
		}
	}
}

v-input__slot{
	min-height: 40px;
}

.v-text-field--box>.v-input__control>.v-input__slot,
.v-text-field--full-width>.v-input__control>.v-input__slot,
.v-text-field--outline>.v-input__control>.v-input__slot{
	min-height: 40px;
}
.v-select.v-select--chips{
	.v-select__selections {
		min-height: 40px;
	}
}

.v-text-field.v-text-field--solo .v-input__control {
	min-height: 40px;
}


.v-text-field.v-text-field--solo:not(.v-text-field--solo-flat)>.v-input__control>.v-input__slot{
	box-shadow: none;
	-webkit-box-shadow: none;
}

// chips
.v-chip{
	.v-icon--left{
		margin-left: 0;
	}
}

// Checkbox and radio

.mdc-checkbox, .mdc-radio {
	margin-right: 4px;
}

.mdc-checkbox__background {
	border-width: 1px;
}

.mdc-checkbox__native-control:enabled:not(:checked):not(:indeterminate) ~ .mdc-checkbox__background {
	border-color: $mdc-component-stroke;
}

.mdc-checkbox__native-control:enabled:checked~.mdc-checkbox__background, .mdc-checkbox__native-control:enabled:indeterminate~.mdc-checkbox__background {
	border-color: $mdc-theme-primary;
	background-color: $mdc-theme-primary;
}

// radio button

.mdc-radio {
	&::before, &::after {
		background-color: $mdc-theme-primary;
	}
	.mdc-radio__native-control:enabled {
		&:not(:checked) + .mdc-radio__background .mdc-radio__outer-circle {
			border-color: rgba(0, 0, 0, 0.54);
		}
		&:checked + .mdc-radio__background .mdc-radio__outer-circle, + .mdc-radio__background .mdc-radio__inner-circle {
			border-color: $mdc-theme-primary;
		}
	}
	.mdc-radio__background::before {
		background-color: $mdc-theme-primary;
	}
}

// text field

.mdc-text-field .mdc-text-field__input,
.mdc-text-field .mdc-autocomplete{
	caret-color: rgba(0, 0, 0, 0.87);

}
input, textarea{
	&::placeholder:not(:focus) {
		opacity: 1; /* Firefox */
	}
	&:focus{
		&::-webkit-input-placeholder { color:transparent; }
		&:-moz-placeholder { color:transparent; } /* FF 4-18 */
		&::-moz-placeholder { color:transparent; } /* FF 19+ */
		:-ms-input-placeholder { color:transparent; } /* IE 10+ */
	}
}


.mdc-text-field-outlined-shaped {
	@include mdc-text-field-outline-shape-radius(50%);
	@include mdc-text-field-focused-outline-color($mdc-theme-secondary);
	@include mdc-text-field-hover-outline-color($mdc-theme-secondary);
	@include mdc-text-field-outline-color($mdc-theme-secondary);


	.mdc-text-field__input,
	.mdc-autocomplete{
		padding-left: 15px;
	}
	&.mdc-text-field--outlined{

		border: none;
		overflow: visible;

		&.mdc-text-field--focused{
			@include mdc-notched-outline-stroke-width(1px);
		}
		&:not(.mdc-text-field--disabled){
			background-color: transparent;
			@include mdc-text-field-focused-outline-color($mdc-theme-secondary);
		}
	}

	&.mdc-text-field--textarea {
		@include mdc-text-field-textarea-stroke-color($mdc-theme-secondary);
		&.mdc-text-field--focused{
			@include mdc-notched-outline-stroke-width(1px);
		}
		&:not(.mdc-text-field--disabled){
			background-color: transparent;
			@include mdc-text-field-focused-outline-color($mdc-theme-secondary);
		}
		.mdc-notched-outline {
			.mdc-notched-outline__leading{
				border-radius: 5px 0 0 5px;
			}
			.mdc-notched-outline__trailing {
				border-radius: 0 5px 5px 0;
			}
		}
	}
}



.mdc-text-field:not(.mdc-text-field--textarea) {
	height: 40px;
}

.mdc-text-field--outlined .mdc-floating-label, .mdc-text-field-outlined-shaped .mdc-floating-label {
	top: 11px;
}

.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__leading, .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__notch, .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing {
	border-color: rgba(0, 0, 0, 0.24);
}

.mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled) {
	.mdc-notched-outline__leading, .mdc-notched-outline__notch, .mdc-notched-outline__trailing {
	  border-color: $mdc-theme-error;
	}
	&.mdc-text-field--focused {
	  .mdc-notched-outline__leading, .mdc-notched-outline__notch, .mdc-notched-outline__trailing {
		  border-color: $mdc-theme-error;
	  }
	}
	&:not(.mdc-text-field--focused) {
	  .mdc-text-field__icon:hover ~ .mdc-notched-outline {
		  .mdc-notched-outline__leading, .mdc-notched-outline__notch, .mdc-notched-outline__trailing {
			  border-color: $mdc-theme-error;
		  }
	  }
	  .mdc-text-field__input:hover ~ .mdc-notched-outline {
		  .mdc-notched-outline__leading, .mdc-notched-outline__notch, .mdc-notched-outline__trailing {
			  border-color: $mdc-theme-error;
		  }
	  }
	}
	}

	.mdc-text-field--outlined.mdc-text-field--invalid:not(.mdc-text-field--disabled) + .mdc-text-field-helper-line{
	color: $mdc-theme-error;
	}

	.mdc-text-field--textarea.mdc-text-field--invalid:not(.mdc-text-field--disabled) {
	.mdc-notched-outline__leading, .mdc-notched-outline__notch, .mdc-notched-outline__trailing {
	  border-color: $mdc-theme-error;
	}
	&.mdc-text-field--focused {
	  .mdc-notched-outline__leading, .mdc-notched-outline__notch, .mdc-notched-outline__trailing {
		  border-color: $mdc-theme-error;
	  }
	}
	&:not(.mdc-text-field--focused) {
	  .mdc-text-field__icon:hover ~ .mdc-notched-outline {
		  .mdc-notched-outline__leading, .mdc-notched-outline__notch, .mdc-notched-outline__trailing {
			  border-color:$mdc-theme-error;
		  }
	  }
	  .mdc-text-field__input:hover ~ .mdc-notched-outline {
		  .mdc-notched-outline__leading, .mdc-notched-outline__notch, .mdc-notched-outline__trailing {
			  border-color: $mdc-theme-error;
		  }
	  }
	}
}

.mdc-text-field--textarea.mdc-text-field--invalid:not(.mdc-text-field--disabled) + .mdc-text-field-helper-line{
color: $mdc-theme-error;
}

.v-text-field.v-text-field--solo{
	>.v-input__control{
		>.v-input__slot{
			border-radius: 50px;
			border: 1px solid #cccccc;
		}
	}

	.v-input__prepend-inner--img{
		padding-left: 10px;
		padding-right: 10px;
	}
}

// Switch

.mdc-switch {
@include mdc-rtl-reflexive-box(margin, right, 20px);
}


// autocomplete

.mdc-autocomplete{
	@extend .mdc-text-field__input;
	.mdc-text-field__input{
		&::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
			opacity: 1; /* Firefox */
		}
	}
	border-bottom: none;
}

.mdc-select__menu{
	.mdc-list{
		.mdc-list-item{
			&[data-value='']{
				display: none;
			}
		}
	}
}

// Top app bar

.component-wrapper .mdc-top-app-bar {
@include mdc-elevation(4);
position: relative;
z-index: 1;

&:not(.mdc-top-app-bar--short) {
  width: 100%;
}
}

// Card

.mdc-card {
width: 100%;
color: $mdc-theme-on-surface;

.demo-card__primary {
  padding: 1rem;
}

.demo-card__title,
.demo-card__subtitle {
  margin: 0;
}

.demo-card__secondary {
  padding: 0 1rem 8px;
  opacity: 0.87;
}
}

// Linear progress

.mdc-linear-progress {
width: 100%;
}

// Menu

.mdc-menu-surface--anchor > .mdc-menu {
position: relative;
z-index: 1;
}


// Drawer

.drawer-component-wrapper {
background: rgba(0, 0, 0, 0.3);

.mdc-drawer {
  @include mdc-elevation(16);

  .mdc-drawer__content {
      padding: 0;
  }
}
}

// Text field

.mdc-text-field {
width: 100%;
}

// Tabs
.component-wrapper .mdc-tab-bar {
background: $mdc-theme-primary;

.mdc-tab {
  @include mdc-tab-text-label-color($mdc-theme-on-primary);

  .mdc-tab__ripple {
      @include mdc-states($mdc-theme-on-primary);
  }
}

.mdc-tab-indicator {
  @include mdc-tab-indicator-underline-color($mdc-theme-on-primary);
}
}

// Snackbar

.mdc-snackbar {
position: relative;
margin: 0;
justify-content: start;
z-index: 1;
}

// Dialog

.mdc-dialog {
	.mdc-dialog__surface {
	  max-width: 100%;
	}
}

// List

.component-wrapper > .mdc-list {
	border: 1px solid rgba(0,0,0,.1);
	background: $mdc-theme-background;

	.mdc-list-item__graphic {
		background-color: if(mdc-theme-contrast-tone($mdc-theme-background) == "dark",
		  rgba(0, 0, 0, 0.12),
		  rgba(255, 255, 255, 0.12));
		color: if(mdc-theme-contrast-tone($mdc-theme-background) == "dark",
		  rgba(0, 0, 0, 0.68),
		  rgba(255, 255, 255, 0.68));
	}
}

.component-wrapper {
&.button-component-wrapper, &.fab-component-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

// Offset built-in padding to left-align all components

&.chips-component-wrapper {
  @include mdc-rtl-reflexive-box(margin, left, -8px);
}

&.checkbox-component-wrapper, &.radio-component-wrapper {
  @include mdc-rtl-reflexive-box(margin, left, -10px);
}

&.icon-button-component-wrapper {
  @include mdc-rtl-reflexive-box(margin, left, -12px);
}
}

.mdc-box{
@extend .mdc-card;
padding: 15px;
}


// grid layout

.layout .flex >.layout > .flex{
	padding-top: 0;
	padding-bottom: 0
}

@media (min-width: 960px){
	.flex{
		&.md6:first-child{
			.container{
				padding-right: 0;
			}
		}
	}
}

// card

.v-sheet.box {
	border-radius: 5px;
	background: #fff;
	-webkit-box-shadow: 0px 1px 5px -1px rgba(0, 0, 0, 0.2);
	box-shadow: 0px 1px 5px -1px rgba(0, 0, 0, 0.2);
}

@import 'select';
@import "custom";
